Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.common.ui.composites
Class SelectModelClassCompositeImpl

    java.lang.Object
      org.eclipse.emf.ecp.spi.common.ui.composites.AbstractFilteredSelectionComposite<org.eclipse.jface.viewers.TreeViewer>
          org.eclipse.emf.ecp.spi.common.ui.composites.AbstractEClassTreeSelectionComposite
              org.eclipse.emf.ecp.spi.common.ui.composites.SelectModelClassCompositeImpl

All Implemented Interfaces:
  CompositeProvider, SelectionComposite<org.eclipse.jface.viewers.TreeViewer>

Direct Known Subclasses:
  ECPProjectSelectionModelClassCompositeImpl

    public class SelectModelClassCompositeImpl

extends AbstractEClassTreeSelectionComposite
implements SelectionComposite<org.eclipse.jface.viewers.TreeViewer>

Helper class for creating a dialog which allows to select an `EClass`.

Author:
  Eugen Neufeld

Constructor Summary
`SelectModelClassCompositeImpl(Collection<org.eclipse.emf.ecore.EPackage> unsupportedEPackages, Collection<org.eclipse.emf.ecore.EPackage> filteredEPackages, Collection<org.eclipse.emf.ecore.EClass> filteredEClasses)` Constructor for providing the filter data manually.

Method Summary

Methods inherited from class org.eclipse.emf.ecp.spi.common.ui.composites.AbstractEClassTreeSelectionComposite
`dispose`

Methods inherited from class org.eclipse.emf.ecp.spi.common.ui.composites.AbstractFilteredSelectionComposite
`createUI, getSelection, getViewer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecp.spi.common.ui.composites.SelectionComposite
`getSelection, getViewer`

Methods inherited from interface org.eclipse.emf.ecp.spi.common.ui.CompositeProvider
`createUI, dispose`

Constructor Detail

### SelectModelClassCompositeImpl

    public SelectModelClassCompositeImpl(Collection<org.eclipse.emf.ecore.EPackage> unsupportedEPackages,
                                         Collection<org.eclipse.emf.ecore.EPackage> filteredEPackages,
                                         Collection<org.eclipse.emf.ecore.EClass> filteredEClasses)

  Constructor for providing the filter data manually.

  Parameters:
    `unsupportedEPackages` - `EPackage`s that are not available for selection
    `filteredEPackages` - `EPackage`s which are selectable
    `filteredEClasses` - `EClass`es which are selectable

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.